/*////////////////// TIMELINE //////////////////*/
.page-timeline .page-content .container {
    max-width: 1024px;
}

.timeline-wrapper {
    width: 100%;
    padding: 64px 0 120px;
    position: relative;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    gap: 32px;
}

.timeline-wrapper::before {
    content: '';
    width: 1px;
    height: 93%;
    position: absolute;
    top: 132px;
    left: 224px;
    border-left: 8px dashed #63666A;
    z-index: -1;
    opacity: 0.5;
}

.timeline-title {
    position: absolute;
    top: 33%;
    left: -100%;
    z-index: -1;
    font-size: 11rem;
    font-weight: 700;
    text-transform: uppercase;
    color: #F7F7F8;
    white-space: nowrap;
    transform: rotate(-90deg);
    z-index: -2;
}

.timeline-item {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    padding-left: 32px;
    gap: 10px;
    position: relative;
}

.timeline-item-photo {
    width: 10rem;
}

.timeline-item-text {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    gap: 16px;
}

.timeline-item-description {
    background: #ffffff;
    border-right: 15px solid #162034;
    padding: 16px 32px 8px 24px;
    box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
}

.timeline-item-year {
    color: #162034;
    font-weight: 700;
    margin: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
}
.timeline-item-year img {
    width: 52px;
}
.timeline-item-year span {
    min-width: 88px;
}

.timeline-item-description p {
    font-size: 1.1rem;
    line-height: 1.5;
}

.timeline-item:nth-child(odd) {
    flex-direction: row-reverse;
    gap: 20px;
    padding-left: 96px;
}

.timeline-item:nth-child(odd) .timeline-item-text {
    gap: 20px;
}

.timeline-item:nth-child(odd) .timeline-item-year {
    flex-direction: row-reverse;
    gap: 18px;
}

.timeline-item:nth-child(4), .timeline-item:nth-child(8), .timeline-item:nth-child(14) {
    padding: 0;
}
.timeline-item:nth-child(4) .timeline-item-photo, .timeline-item:nth-child(8) .timeline-item-photo, .timeline-item:nth-child(14) .timeline-item-photo {
    width: 12rem;
}

.timeline-item:nth-child(11) .timeline-item-photo {
    width: 12rem;
}

/* Responsive */
@media print, screen and (max-width: 1024px) {
    .timeline-title {
        left: -90%;
    }
}
@media print, screen and (max-width: 800px) {
    .timeline-title {
        left: -110%;
    }
}
@media print, screen and (max-width: 600px) {
    .timeline-wrapper {
        padding-top: 20px;
        gap: 24px;
    }

    .timeline-wrapper::before {
        top: 172px;
        left: 10px;
        height: 94.5%;
    }

    .timeline-title {
        position: relative;
        transform: none;
        color: #162034;
        white-space: normal;
        font-size: 1.6rem;
        text-align: center;
        top: auto;
        left: auto;
        margin-bottom: 8px;
    }

    .timeline-item {
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: flex-start;
        padding: 35px 0 0 0!important;
        gap: 10px;
    }
    
    .timeline-item-photo {
        width: 128px!important;
        position: absolute;
        top: 0;
        right: 0;
        z-index: 0;
    }
    .timeline-item-text {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 24px;
        position: relative;
        z-index: 1;
    }
    .timeline-item-year {
        gap: 10px!important;
    }
    .timeline-item-year img {
        width: 58px;
        margin-left: -14px;
    }
    .timeline-item-description {
        margin-left: 34px;
        padding: 16px 16px 8px 16px;
        border-right: none;
        border-bottom: 15px solid #162034;
    }
    .timeline-item-description p {
        font-size: 1.075rem;
        line-height: 1.4;
    }
    .timeline-item:nth-child(odd) {
        flex-direction: column;
    }
    .timeline-item:nth-child(odd) .timeline-item-year {
        flex-direction: row;
    }
}


/*////////////////// PROJECTS //////////////////*/
.projects-wrapper {
    width: 100%;
}

.projects-item {
    width: 100%;
    height: 768px;
    max-height: 75dvh;
    margin-bottom: 4px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    background: #F7F7F8;
}

.projects-item-left {
    width: 50%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
}

.project-images {
    width: 100%;
    flex-grow: 1;
    flex-shrink: 1;
    overflow: hidden;
    position: relative;
}

.project-images-carousel {
    width: 100%;
    height: 100%;
}
.project-images-carousel::after {
    content: '';
    width: 100%;
    height: 160px;
    position: absolute;
    left: 0;
    bottom: 0;
    background: linear-gradient(180deg,rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    z-index: 8;
    pointer-events: none;
}
.swiper-wrapper {
    position: relative;
}
.swiper-slide {
    width: 100%;
    height: 100%;
}
.project-images img {
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
    object-position: center;
}
.swiper-button-next, .swiper-button-prev {
    top: auto!important;
    bottom: 16px!important;
}
.swiper-button-next::after, .swiper-button-prev::after {
    font-size: 28px!important;
    color: #ffffff!important;
}
.swiper-pagination {
    bottom: 28px!important;
    z-index: 9!important;
}
.swiper-pagination-bullet {
    width: 10px!important;
    height: 10px!important;
    background: none!important;
    border: 2px solid #ffffff!important;
}
.swiper-pagination-bullet-active {
    background: #ffffff!important;
}

.projects-item-type-date {
    padding: 40px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 4px 24px;
    background: #162034;
    color: #ffffff;
}

.projects-item-type-date-info {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 10px;
    font-size: 16px;
}
.projects-item-type-date-info strong, .projects-item-type-date-info span {
    white-space: nowrap;
}

.projects-item-right {
    width: 50%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    padding: 64px 120px 40px 64px;
}

.project-item-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
    padding-bottom: 24px;
    margin-bottom: 24px;
    border-bottom: 1px solid rgba(99, 102, 106, 0.5);
}

.project-item-name {
    font-size: 24px;
    color: #162034;
    margin: 0 0 8px;
    line-height: 1.1;
}

.project-item-details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 2px 16px;
}
.project-item-details span {
    opacity: 0.5;
}
.project-item-detail-info {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 8px;
    font-size: 16px;
    /* white-space: nowrap; */
}

.project-item-location {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    gap: 4px;
    font-size: 16px;
    border-radius: 80px;
    background: #ffffff;
    white-space: nowrap;
    padding: 4px 12px 4px 8px;
    flex-shrink: 0;
}

.project-item-body {
    flex-grow: 1;
    overflow-y: auto;
    transition: all 0.5s ease-out;
}

.project-item-toggle {
    display: none;
}

/* Responsive */
@media print, screen and (max-width: 1400px) {
    .projects-item-right {
        padding: 64px 40px;
    }
    .projects-item-type-date {
        padding: 28px 20px;
    }
}

@media print, screen and (max-width: 1024px) and (orientation: portrait) {
    .projects-item {
        flex-direction: column;
        height: auto;
        max-height: unset;
        margin-bottom: 40px;
    }
    .projects-item-left, .projects-item-right {
        width: 100%;
    }
    .projects-item-type-date {
        flex-wrap: nowrap;
    }
}

@media print, screen and (max-width: 600px) {
    .projects-item {
        margin-bottom: 24px;
    }
    .project-item-header {
        flex-direction: column-reverse;
        gap: 24px;
        padding-bottom: 0;
        border-bottom: none;
    }
    .project-item-location {
        font-size: 14px;
    }
    .project-item-location img {
        width: 18px;
    }
    .project-item-name {
        font-size: 22px;
    }
    .projects-item-type-date {
        flex-wrap: wrap;
        gap: 8px;
        padding: 24px 16px;
    }
    .projects-item-type-date-info {
        font-size: 14px;
    }
    .projects-item-right {
        padding: 24px 16px;
    }
    .project-item-body {
        height: 0;
        overflow: hidden;
        padding-top: 24px;
    }
    .project-item-toggle {
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: center;
        gap: 8px;
        padding: 12px 16px;
        border: 1px solid #584942;
    }
    .project-item-toggle img {
        width: 12px;
    }
    .project-images-carousel::after {
        height: 80px;
    }
}


/*////////////////// LET'S TALK IMAGE //////////////////*/
.contact .container {
    padding: 0;
    margin: 0;
}
.contact-form-left {
    margin: 0;
}

.contact-form-right {
    padding: 0;
    max-height: 480px;
    overflow: hidden;
}

.contact-form-right img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*////////////////// "SCROLL TO TOP" BUTTON //////////////////*/
.scroll-top {
    width: 56px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 500;
    background: none;
    outline: none;
    border: none;
    box-shadow: none;
    cursor: pointer;
}

@media print, screen and (max-width: 768px) {
    .scroll-top {
        bottom: 10px;
        right: 10px;
    }
}

/*////////////////// STICKY HEADER //////////////////*/
.header {
    position: sticky;
    top: 0;
}